Package org.apache.cayenne.access

## Class NoSyncObjectStore

- java.lang.Object
- - org.apache.cayenne.access.ObjectStore
  - - org.apache.cayenne.access.NoSyncObjectStore

- All Implemented Interfaces:
    `Serializable`, `EventListener`, `SnapshotEventListener`, `GraphChangeHandler`, `GraphManager`

      public class NoSyncObjectStore
      extends ObjectStore

  An `ObjectStore` which doesn't receive notifications on parent's `DataRowStore` events.
  Since:
    3.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.ObjectStore

      `changes, context, dataRowCache, dataRowCacheSet, objectMap, trackedFlattenedPaths`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoSyncObjectStore​(DataRowStore dataRowCache, Map<Object,​Persistent> objectMap)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setDataRowCache​(DataRowStore dataRowCache)` | Sets parent DataRowStore.

    - ### Methods inherited from class org.apache.cayenne.access.ObjectStore

      `arcCreated, arcDeleted, getCachedSnapshot, getContext, getDataRowCache, getFlattenedId, getFlattenedIds, getNode, getObjectIterator, getSnapshot, hasChanges, markFlattenedPath, nodeCreated, nodeIdChanged, nodePropertyChanged, nodeRemoved, objectsInState, objectsRolledBack, objectsUnregistered, postprocessAfterCommit, registeredNodes, registeredObjectsCount, registerNode, setContext, snapshotsChanged, unregisterNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSyncObjectStore

          public NoSyncObjectStore​(DataRowStore dataRowCache,
                                   Map<Object,​Persistent> objectMap)

  - ### Method Detail

    - #### setDataRowCache

          public void setDataRowCache​(DataRowStore dataRowCache)

      Description copied from class: `ObjectStore`
      Sets parent DataRowStore. Registers to receive SnapshotEvents if the cache is configured to allow ObjectStores to receive such events.
      Overrides:
        `setDataRowCache` in class `ObjectStore`